<?php
 	session_start(); 

	if(!isset($_SESSION['tulsilogin']))
	{
		header('Location: index.php');
		return;
	}
	
	





$_SESSION['_token']=bin2hex(openssl_random_pseudo_bytes(16));

	

	

	include("connect.php");
include("mylibrary.php");


	
	$referencemid=$_POST['referencemid'];
	$referencename=checkvalidstring($_POST['referencename']);
	
	
	$tt="";
	/* if(empty($_FILES['attechment']['name']) == false  )
	{
		$attechment = date("YmdHis").$_FILES['attechment']['name'];
		$path = "docs/";
		move_uploaded_file( $_FILES['attechment']['tmp_name'], $path ."/". $attechment );
	
		$tt = ",attechment='$attechment' ";
	} */

	
$eve = "select * from res_reference_master where referencename='$referencename' and referencemid!='$referencemid'";
	$re = mysqli_query($conn, $eve);
	if(mysqli_num_rows($re) > 0)
	{
		$_SESSION['msg1'] = "reference Already Inserted.";
		header('Location: reference.php');
	}
	else
	{	
	 $eve = "update res_reference_master set referencename='$referencename' $tt where referencemid='$referencemid'";

	

	if ($conn->query($eve) === TRUE)

	{		

		$_SESSION['msg'] = "Reference Record Updated succesfully";

		header('Location: reference.php');		

	} 

	else 

	{

			

		$_SESSION['msg'] = "Error";

		header('Location: reference.php');

	}
	}

?>